image: maven:latest

cache:
  paths:
    - .m2/repository/

build:
  stage: build
  script:
    - git clone https://gitlab.com/2020-summit-labs/proactive-fraud-detection/proactive-fraud-detection-case.git
    - mvn clean install -f proactive-fraud-detection-case/pom.xml
    - mvn clean install

staging:
  stage: deploy
  trigger:
    project: 2020-summit-labs/proactive-fraud-detection/proactive-fraud-detection-bucketrepo
    branch: master